Subject: adns parallel build failure (and git access problems)

From: Sergei Trofimovich <[email-masked]>
Date: Fri, 22 Oct 2021 09:22:35 +0100

Package: adns
Version: 1.6.0

Hi Ian and adns maintainers!

As part of distribution-wide rebuild speedup I attempted to enable
parallel builds on latest 'adns-1.6.0' and failed:

    ./configure && make -j16 -l16
    make[1]: Leaving directory '/home/slyfox/dev/git/adns-ccaa001/client'
    make[1]: Entering directory '/home/slyfox/dev/git/adns-ccaa001/regress'
    m4 -P -I. hredirect.h.m4 >hredirect.h-a.new
    sed -e 's/hm_comma/,/g; s/hm_squote/'\''/g; /^[  ]*$/d' <hredirect.h-a.new >hredirect.h-b.new
    m4 -P -I. hfuzzraw.c.m4 >hfuzzraw.c-a.new
    sed -e 's/hm_comma/,/g; s/hm_squote/'\''/g; /^[  ]*$/d' <hfuzzraw.c-a.new >hfuzzraw.c-b.new
    gcc -g -O2 -Wall -Wmissing-prototypes -Wwrite-strings -Wstrict-prototypes -Wcast-qual -Wpointer-arith -Wno-pointer-sign -Wno-unused-value  -I../src -I. -I./../src  -DADNS_REGRESS_TEST -I. -I ./../src -c -g -o adnsresfilter_c.o ../client/adnsresfilter.c
    In file included from ../client/adnsresfilter.c:46:
    ./hredirect.h:3:10: fatal error: hsyscalls.h: No such file or directory
        3 | #include "hsyscalls.h"
          |          ^~~~~~~~~~~~~
    compilation terminated.
    make[1]: *** [Makefile:130: adnsresfilter_c.o] Error 1

Looks like there are a few dependencies missing in Makefile against
these generated headers.

While at it I also notices that none of git URLs are accessible at:
  http://www.chiark.greenend.org.uk/ucgi/~ianmdlvl/git/adns.git/

  $ git clone https://www.chiark.greenend.org.uk/ucgi/~ianmdlvl/githttp/adns.git
  Cloning into 'adns'...
  fatal: the remote end hung up unexpectedly

  $ git clone git://git.chiark.greenend.org.uk/~ianmdlvl/adns.git
  Cloning into 'adns'...
  fatal: Could not read from remote repository.

  Please make sure you have the correct access rights
  and the repository exists.

Thanks!

-- 

  Sergei